<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:32 CEST 2019 -->
<title>RefinementsTest</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RefinementsTest";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsTest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/tests/RefinementsExample.html" title="class in refinement.model.refinements.tests"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../refinement/model/refinements/tests/RefinementsTests.html" title="class in refinement.model.refinements.tests"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/tests/RefinementsTest.html" target="_top">Frames</a></li>
<li><a href="RefinementsTest.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.model.refinements.tests</div>
<h2 title="Class RefinementsTest" class="title">Class RefinementsTest</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>junit.framework.Assert</li>
<li>
<ul class="inheritance">
<li>junit.framework.TestCase</li>
<li>
<ul class="inheritance">
<li>refinement.model.refinements.tests.RefinementsTest</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>junit.framework.Test</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">RefinementsTest</span>
extends junit.framework.TestCase</pre>
<div class="block"><!-- begin-user-doc -->
 A test case for the model object '<em><b>Refinements</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following operations are tested:
 <ul>
   <li><a href="../../../../refinement/model/refinements/Refinements.html#addRefinement-refinement.model.refinements.Refinement-"><code><em>Add Refinement</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/Refinements.html#saveRefinements-java.lang.String-"><code><em>Save Refinements</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/Refinements.html#indexOfRefinement-refinement.model.refinements.Refinement-"><code><em>Index Of Refinement</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/Refinements.html#getRefinement-int-"><code><em>Get Refinement</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/Refinements.html#setRefinement-int-refinement.model.refinements.Refinement-"><code><em>Set Refinement</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/Refinements.html#findRefinementsByReference-java.lang.String-"><code><em>Find Refinements By Reference</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/Refinements.html#removeRefinement-int-"><code><em>Remove Refinement</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/Refinements.html#getReplaceIndex-org.eclipse.emf.common.util.EList-"><code><em>Get Replace Index</em></code></a></li>
 </ul>
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/tests/RefinementsTest.html#RefinementsTest-java.lang.String-">RefinementsTest</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Constructs a new Refinements test case with the given name.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/tests/RefinementsTest.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/tests/RefinementsTest.html#testAddRefinement__Refinement--">testAddRefinement__Refinement</a></span>()</code>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#addRefinement-refinement.model.refinements.Refinement-"><code><em>Add Refinement</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/tests/RefinementsTest.html#testFindRefinementsByReference__String--">testFindRefinementsByReference__String</a></span>()</code>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#findRefinementsByReference-java.lang.String-"><code><em>Find Refinements By Reference</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/tests/RefinementsTest.html#testGetRefinement__int--">testGetRefinement__int</a></span>()</code>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#getRefinement-int-"><code><em>Get Refinement</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/tests/RefinementsTest.html#testGetReplaceIndex__EList--">testGetReplaceIndex__EList</a></span>()</code>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#getReplaceIndex-org.eclipse.emf.common.util.EList-"><code><em>Get Replace Index</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/tests/RefinementsTest.html#testIndexOfRefinement__Refinement--">testIndexOfRefinement__Refinement</a></span>()</code>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#indexOfRefinement-refinement.model.refinements.Refinement-"><code><em>Index Of Refinement</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/tests/RefinementsTest.html#testRemoveRefinement__int--">testRemoveRefinement__int</a></span>()</code>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#removeRefinement-int-"><code><em>Remove Refinement</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/tests/RefinementsTest.html#testSaveRefinements__String--">testSaveRefinements__String</a></span>()</code>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#saveRefinements-java.lang.String-"><code><em>Save Refinements</em></code></a>' operation.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/tests/RefinementsTest.html#testSetRefinement__int_Refinement--">testSetRefinement__int_Refinement</a></span>()</code>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#setRefinement-int-refinement.model.refinements.Refinement-"><code><em>Set Refinement</em></code></a>' operation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.junit.framework.TestCase">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;junit.framework.TestCase</h3>
<code>assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, setName, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RefinementsTest-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RefinementsTest</h4>
<pre>public&nbsp;RefinementsTest(java.lang.String&nbsp;name)</pre>
<div class="block">Constructs a new Refinements test case with the given name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="testAddRefinement__Refinement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testAddRefinement__Refinement</h4>
<pre>public&nbsp;void&nbsp;testAddRefinement__Refinement()</pre>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#addRefinement-refinement.model.refinements.Refinement-"><code><em>Add Refinement</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#addRefinement-refinement.model.refinements.Refinement-"><code>Refinements.addRefinement(refinement.model.refinements.Refinement)</code></a></dd>
</dl>
</li>
</ul>
<a name="testSaveRefinements__String--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testSaveRefinements__String</h4>
<pre>public&nbsp;void&nbsp;testSaveRefinements__String()</pre>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#saveRefinements-java.lang.String-"><code><em>Save Refinements</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#saveRefinements-java.lang.String-"><code>Refinements.saveRefinements(java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="testIndexOfRefinement__Refinement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testIndexOfRefinement__Refinement</h4>
<pre>public&nbsp;void&nbsp;testIndexOfRefinement__Refinement()</pre>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#indexOfRefinement-refinement.model.refinements.Refinement-"><code><em>Index Of Refinement</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#indexOfRefinement-refinement.model.refinements.Refinement-"><code>Refinements.indexOfRefinement(refinement.model.refinements.Refinement)</code></a></dd>
</dl>
</li>
</ul>
<a name="testGetRefinement__int--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testGetRefinement__int</h4>
<pre>public&nbsp;void&nbsp;testGetRefinement__int()</pre>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#getRefinement-int-"><code><em>Get Refinement</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#getRefinement-int-"><code>Refinements.getRefinement(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="testSetRefinement__int_Refinement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testSetRefinement__int_Refinement</h4>
<pre>public&nbsp;void&nbsp;testSetRefinement__int_Refinement()</pre>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#setRefinement-int-refinement.model.refinements.Refinement-"><code><em>Set Refinement</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#setRefinement-int-refinement.model.refinements.Refinement-"><code>Refinements.setRefinement(int, refinement.model.refinements.Refinement)</code></a></dd>
</dl>
</li>
</ul>
<a name="testFindRefinementsByReference__String--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testFindRefinementsByReference__String</h4>
<pre>public&nbsp;void&nbsp;testFindRefinementsByReference__String()</pre>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#findRefinementsByReference-java.lang.String-"><code><em>Find Refinements By Reference</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#findRefinementsByReference-java.lang.String-"><code>Refinements.findRefinementsByReference(java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="testRemoveRefinement__int--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testRemoveRefinement__int</h4>
<pre>public&nbsp;void&nbsp;testRemoveRefinement__int()</pre>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#removeRefinement-int-"><code><em>Remove Refinement</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#removeRefinement-int-"><code>Refinements.removeRefinement(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="testGetReplaceIndex__EList--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>testGetReplaceIndex__EList</h4>
<pre>public&nbsp;void&nbsp;testGetReplaceIndex__EList()</pre>
<div class="block">Tests the '<a href="../../../../refinement/model/refinements/Refinements.html#getReplaceIndex-org.eclipse.emf.common.util.EList-"><code><em>Get Replace Index</em></code></a>' operation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#getReplaceIndex-org.eclipse.emf.common.util.EList-"><code>Refinements.getReplaceIndex(org.eclipse.emf.common.util.EList)</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsTest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/tests/RefinementsExample.html" title="class in refinement.model.refinements.tests"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../refinement/model/refinements/tests/RefinementsTests.html" title="class in refinement.model.refinements.tests"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/tests/RefinementsTest.html" target="_top">Frames</a></li>
<li><a href="RefinementsTest.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
